- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Transform.cpp File Reference

`#include <osg/Transform>`

Include dependency graph for Transform.cpp:

## Functions
Matrix | osg::computeLocalToWorld (const NodePath &nodePath)
| Compute the matrix which transforms objects in local coords to world coords, by accumulating the Transform local to world matrices along the specified node path.
Matrix | osg::computeWorldToLocal (const NodePath &nodePath)
| Compute the matrix which transforms objects in world coords to local coords, by accumulating the Transform world to local matrices along the specified node path.
Matrix | osg::computeLocalToEye (const Matrix &modelview, const NodePath &nodePath)
| Compute the matrix which transforms objects in local coords to eye coords, by accumulating the Transform local to world matrices along the specified node path and multipling by the supplied initial camera modelview.
Matrix | osg::computeEyeToLocal (const Matrix &modelview, const NodePath &nodePath)
| Compute the matrix which transforms objects in eye coords to local coords, by accumulating the Transform world to local matrices along the specified node path and multipling by the inverse of the supplied initialial camera modelview.